Blogovací systém WordPress dává sbohem PHP 4 a MySQL 4

Blogovací systém WordPress dává sbohem PHP 4 a MySQL 4

Oblíbený blogovací systém WordPress 3.1, který se objeví koncem letošního roku, bude poslední verzí, která podporuje PHP 4. V polovině roku 2011 se má objevit WordPress 3.2, který již bude vyžadovat nejméně PHP 5.2. Stejně se k situaci staví konkurenční systémy Drupal a Joomla, jejich požadavky půjdou s novými verzemi ve stejném duchu.

Vývojáři se rozhodli pro PHP 5.2 především proto, že to je majoritou nejpoužívanější verze, navíc přináší značná vylepšení oproti předchozím verzím. Pouze asi 11 % instalací WordPressu běží na nižší verzi než PHP 5.2.

Podobně tomu bude v případě databáze MySQL. Podpora MySQL 4 bude ukončena k verzi WordPress 3.1.  WordPress 3.2 bude minimálně požadovat MySQL 5.0.15.

Jak je známo, vývoj větve MySQL 5.0 byl ukončen v prosinci loňského roku. Momentálně vývojáři pouze opravují bezpečnostní chyby a kritické chyby. Pokud tedy budete přecházet, rozumnější volbou je samozřejmě aktuální MySQL 5.1. Jinak tomu není ani v případě PHP, kde byste měli spíše sáhnout po novém PHP 5.3, o kterém jsme včera psali na Živě.

Uživatelům s nepodporovanými verzemi nebude nabídnuta možnost upgradu na novou verzi WordPressu.

Diskuze (25) Další článek: Microsoft Security Essentials 2.0 nabídne vylepšené skenovací jádro

Témata článku: Software, Programování, Open source, PHP, Blog, MySQL, Wordpress, Kritická situace

Určitě si přečtěte


Aktuální číslo časopisu Computer

Zachraňte nefunkční Windows

Jak nakupovat a prodávat kryptoměny

Otestovali jsme konvertibilní notebooky

Velký test 14 herních myší